View Issue Details

IDProjectCategoryView StatusLast Update
0002343Far ManagerMacropublic2013-04-02 12:48
ReporterSmitisAssigned Toshmuel 
PrioritynormalSeveritymajorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002343: Menu.Select неправильно работает с задисабленными пунктами
DescriptionИз энциклопедии для Menu.Select:
Возвращает позицию пункта меню (если найден), 0 - ошибка при позиционировании (нет пункта или пункт задисаблен), -1 - функция вызвана не для меню.

Однако при выборе задисабленого пункта Menu.Select на самом деле выбирает ближайший незадисабленный пункт с большим номером или первый, если такого пункта нет.
Steps To ReproduceMacro {
   description="TEST";
   area="Editor Shell";
   key="CtrlSpace";
   action=function()
      Menu.Show("[111]\n[222]\n\3 [333]\n[444]")
   end;
}
Macro {
   description="TEST";
   area="Menu";
   key="CtrlSpace";
   action=function()
      msgbox("",Menu.Select("333",3))
   end;
}
Первым макросом формируем меню с одним задисабленным пунктом.
Второй макрос применяем в этом меню. Результат = 4, вместо 0.
Additional InformationОбсуждение
http://forum.farmanager.com/viewtopic.php?t=7814
TagsNo tags attached.
Build3290

Activities

shmuel

2013-04-01 17:08

developer   bugnote:0010631

3290.

Smitis

2013-04-02 12:07

reporter   bugnote:0010642

Спасибо, можно закрывать

Issue History

Date Modified Username Field Change
2013-03-23 15:04 Smitis New Issue
2013-04-01 17:08 shmuel Note Added: 0010631
2013-04-01 17:08 shmuel Assigned To => shmuel
2013-04-01 17:08 shmuel Status new => feedback
2013-04-02 12:07 Smitis Note Added: 0010642
2013-04-02 12:07 Smitis Status feedback => assigned
2013-04-02 12:48 shmuel Build => 3290
2013-04-02 12:48 shmuel Status assigned => closed
2013-04-02 12:48 shmuel Resolution open => fixed
2013-04-02 12:48 shmuel Fixed in Version => 3.0